Subject: bug#3250: 23.0.93; tab completion flakey with tramp when insert-default-directory is nil

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 May 2009 18:37:21 -0400

> (setq insert-default-directory nil)

> tab completion when using tramp to access a remote file becomes flakey.
> It seems that the notion of the current working directory becomes lost,
> so tab completion ends up with doubled up directories, eg:

> /home/chris/afolder/afolder

> ...where afolder doesn't exist, resulting in errors such as the following:

> File error: tramp-handle-file-name-all-completions: Couldn't `cd
> /home/chris/afolder/afolder/'

> This doesn't happen right away, but I usually end up bumping into it when
> navigating
> around a folder structure by inserting .. a number of times in the
> minibuffer window.

I don't know if Michael can fix it based on the above report, but
I expect that a reproducible test case starting from "emacs -Q"
would help.

        Stefan